// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	event.shaped('ydm:duel_playmat', [
		'AA'
	], {
		A: 'minecraft:andesite'
	});

	event.shaped('ydm:white_deck_box', [
		'PPP',
		'P P',
		'PPP'
	], {
		P: 'minecraft:paper'
	});

	event.shapeless('ydm:black_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/black']);
	event.shapeless('ydm:red_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/red']);
	event.shapeless('ydm:green_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/green']);
	event.shapeless('ydm:brown_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/brown']);
	event.shapeless('ydm:blue_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/blue']);
	event.shapeless('ydm:purple_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/purple']);
	event.shapeless('ydm:cyan_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/cyan']);
	event.shapeless('ydm:light_gray_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/light_gray']);
	event.shapeless('ydm:gray_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/gray']);
	event.shapeless('ydm:pink_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/pink']);
	event.shapeless('ydm:lime_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/lime']);
	event.shapeless('ydm:yellow_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/yellow']);
	event.shapeless('ydm:light_blue_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/light_blue']);
	event.shapeless('ydm:magenta_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/magenta']);
	event.shapeless('ydm:orange_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/orange']);
	event.shapeless('ydm:white_deck_box', ['#ydm:deck_box/dyeable', '#forge:dyes/white']);

	event.shapeless('ydm:card_binder', ['#ydm:deck_box', 'minecraft:book']).keepIngredient('#ydm:deck_box');
})

onEvent('item.tags', event => {
	event.get('ydm:deck_box').add('ydm:black_deck_box');
	event.get('ydm:deck_box').add('ydm:red_deck_box');
	event.get('ydm:deck_box').add('ydm:green_deck_box');
	event.get('ydm:deck_box').add('ydm:brown_deck_box');
	event.get('ydm:deck_box').add('ydm:blue_deck_box');
	event.get('ydm:deck_box').add('ydm:purple_deck_box');
	event.get('ydm:deck_box').add('ydm:cyan_deck_box');
	event.get('ydm:deck_box').add('ydm:light_gray_deck_box');
	event.get('ydm:deck_box').add('ydm:gray_deck_box');
	event.get('ydm:deck_box').add('ydm:pink_deck_box');
	event.get('ydm:deck_box').add('ydm:lime_deck_box');
	event.get('ydm:deck_box').add('ydm:yellow_deck_box');
	event.get('ydm:deck_box').add('ydm:light_blue_deck_box');
	event.get('ydm:deck_box').add('ydm:magenta_deck_box');
	event.get('ydm:deck_box').add('ydm:orange_deck_box');
	event.get('ydm:deck_box').add('ydm:white_deck_box');
	event.get('ydm:deck_box').add('ydm:iron_deck_box');
	event.get('ydm:deck_box').add('ydm:gold_deck_box');
	event.get('ydm:deck_box').add('ydm:diamond_deck_box');
	event.get('ydm:deck_box').add('ydm:emerald_deck_box');
	event.get('ydm:deck_box').add('ydm:patreon_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:black_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:red_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:green_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:brown_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:blue_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:purple_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:cyan_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:light_gray_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:gray_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:pink_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:lime_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:yellow_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:light_blue_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:magenta_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:orange_deck_box');
	event.get('ydm:deck_box/dyeable').add('ydm:white_deck_box');
});